Actualizar un contacto
curl --request PATCH \
--url https://api.impulsodigital.app/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"accepts_messaging": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
company: '<string>',
address: '<string>',
national_id: '<string>',
notes: '<string>',
accepts_messaging: true
})
};
fetch('https://api.impulsodigital.app/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.impulsodigital.app/v1/contacts/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"accepts_messaging": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impulsodigital.app/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'company' => '<string>',
'address' => '<string>',
'national_id' => '<string>',
'notes' => '<string>',
'accepts_messaging' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"phone": "573105550001",
"whatsapp_id": "<string>",
"name": "<string>",
"email": "<string>",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"status": "new",
"is_buyer": true,
"blocked": true,
"accepts_messaging": true,
"first_contact": "2023-11-07T05:31:56Z",
"last_contact": "2023-11-07T05:31:56Z",
"total_messages": 123
}
}Contactos
Actualizar un contacto
PATCH
/
contacts
/
{id}
Actualizar un contacto
curl --request PATCH \
--url https://api.impulsodigital.app/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"accepts_messaging": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
company: '<string>',
address: '<string>',
national_id: '<string>',
notes: '<string>',
accepts_messaging: true
})
};
fetch('https://api.impulsodigital.app/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.impulsodigital.app/v1/contacts/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"accepts_messaging": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impulsodigital.app/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'company' => '<string>',
'address' => '<string>',
'national_id' => '<string>',
'notes' => '<string>',
'accepts_messaging' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"phone": "573105550001",
"whatsapp_id": "<string>",
"name": "<string>",
"email": "<string>",
"company": "<string>",
"address": "<string>",
"national_id": "<string>",
"notes": "<string>",
"status": "new",
"is_buyer": true,
"blocked": true,
"accepts_messaging": true,
"first_contact": "2023-11-07T05:31:56Z",
"last_contact": "2023-11-07T05:31:56Z",
"total_messages": 123
}
}Autorizaciones
Cuerpo
application/json

